MTBLSORT(1)

NAME
mTblSort - Sorts a table on numeric values

SYNOPSIS
mTblSort [-d] in.tbl colname out.tbl

DESCRIPTION
Sorts a table on numeric values.

OPTIONS

-d  Turns on debugging

ARGUMENTS

in.tbl
    Path to input table

colname
    Name of column to sort on (column must contain numeric values)

out.tbl
    Path to output table

RESULT
[struct stat="OK", count=nrows]

where nrows is the number of rows in the table.

MESSAGES

OK  [struct stat="OK", count=nrows]

ERROR
    Cannot allocate memory for data

ERROR
    Cannot open input file

ERROR
    Cannot open output file

ERROR
    Table file open failed for [in.tbl]

ERROR
    Table file does not have fixed-length records

ERROR
    Table does not contain column [colname]

EXAMPLES

$ mTblSort images.tbl ra ra_sorted.tbl
    [struct stat="OK", count=5, nmatches=3]

ra_sorted.tbl is now sorted on the column "ra".

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.